Using Gateways with HTTP Bridge
Publishing the device's telemetry events through the gateway
curl -X POST -H 'authorization: Bearer GATEWAY_JWT' -H 'content-type: application/json' --data '{"binaryData": "DATA", "gatewayInfo": {"delegatedDeviceId: "device-id"}}' -H 'cache-control: no-cache' 'https://demo-http.api.cloud.korewireless.com/http/subscriptions/{subscription-id}/registries/{registry-id}/devices/{gateway-id}/publishEvent'Updating device configuration through the gateway
curl -H 'authorization: Bearer GATEWAY_JWT' -H 'content-type: application/json' --data '{"binaryData": "DATA", "gatewayInfo": {"delegatedDeviceId: "device-id"}}' -H 'cache-control: no-cache' 'https://demo-http.api.cloud.korewireless.com/http/subscriptions/{subscription-id}/registries/{registry-id}/devices/{gateway-id}/config?localVersion={version}&gatewayInfo={"delegatedDeviceId: "device-id"}'Setting device state through the gateway
Getting device state data
Last updated